Subject: categories: Kleisli and colimits

From: Tom Leinster <[email-masked]>
Date: Wed, 25 Apr 2001 15:31:08 +0100 (BST)

Does anyone know if the Kleisli construction (sending a monad to its Kleisli
category) behaves in any decent way with respect to colimits?  E.g. does it
in any sense preserve or reflect them?

The actual situation that I have is a fixed category C, and a certain
coequalizer diagram in the category of monads on C.  The resulting fork in
Cat is also a coequalizer, and the proofs that both diagrams are coequalizers
have some ingredients in common, but I can't at present see how to deduce one
from the other.  

Thanks,

Tom Leinster

---

From: Carsten Fuhrmann <[email-masked]>
Date: Wed, 25 Apr 2001 17:04:34 +0100

The construction of the Kleisli category can be turned into a
left adjoint functor whose domain is the category of Mnd monads
(on arbitrary categories) and monad morphisms.  However, the
codomain of this functor is not Cat, but a category AbsKl whose
objects I call "abstract Kleisli categories".  An abstract
Kleisli category is a category K together with a functor L:K->K,
a natural transformation \epsilon: L->Id, and a (not generally
natural) transformation \theta:Id->L, such that

(1) \theta_L is a natural transformation
(2) L\theta o \theta = \theta_L o \theta
(3) \epsilon o \theta = id
(3) L\epsilon o \theta_L = id

A morphism K->K' of AbsKl is a functor that preserves the
solutions of the non-naturality square

\theta o f = Lf o \theta   (I)

The Kleisli construction forms a functor Mnd->AbsKl.  Its right
adjoint sends an abstract Kleisli category K to the evident monad
on the subcategory given by the solutions of Equation (I).  The
counit of this adjunction is in fact an iso, so AbsKl is a full
reflective subcategory of Mnd.  The full subcategory of Mnd which
is equivalent to Abskl is given by those monads for which every
component of the unit is a regular mono.

Cheers,

Carsten